unit mainform;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, rmInspector, rmInspectorItems, rmBaseEdit, rmBtnEdit,
  rmCalendar;

type
  TForm1 = class(TForm)
    rmInspector1: TrmInspector;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  wItem: TrmCustomInspectorItem;
  wstr : string;
begin
   wstr := rmInspector1.sepchar+'Family';
   wItem := rmInspector1.FindInspectorItem(wstr);
   if wItem = nil then
      rmInspector1.AddInspectorItem(wstr, 'rmControls', TrmStringInspectorItem)
   else
      rmInspector1.CurrentNode := wItem.PathNode;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  wItem: TrmCustomInspectorItem;
  wstr : string;
begin
   wstr := rmInspector1.sepchar+'Family';
   wItem := rmInspector1.FindInspectorItem(wstr);
   if wItem <> nil then
   begin
      wstr := wstr+rmInspector1.sepchar+'Father';
      wItem := rmInspector1.FindInspectorItem(wstr);
      if wItem = nil then
         rmInspector1.AddInspectorItem(wstr, 'True', TrmCheckBoxInspectorItem)
      else
         rmInspector1.CurrentNode := wItem.PathNode;
   end;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  wItem: TrmCustomInspectorItem;
  wstr : string;
begin
   wstr := rmInspector1.sepchar+'Family';
   wItem := rmInspector1.FindInspectorItem(wstr);
   if wItem <> nil then
   begin
      wstr := wstr+rmInspector1.sepchar+'Mother';
      wItem := rmInspector1.FindInspectorItem(wstr);
      if wItem = nil then
         rmInspector1.AddInspectorItem(wstr, '01/01/2002', TrmDateInspectorItem)
      else
         rmInspector1.CurrentNode := wItem.PathNode;
   end;
end;

procedure TForm1.Button4Click(Sender: TObject);
var
  wItem: TrmCustomInspectorItem;
  wstr : string;
begin
   wstr := rmInspector1.sepchar+'Extended Family'+rmInspector1.sepchar+'Uncle Fred';
   wItem := rmInspector1.FindInspectorItem(wstr);
   if wItem = nil then
      rmInspector1.AddInspectorItem(wstr, '666', TrmIntegerInspectorItem)
end;

end.
